Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.form.model.menu
Class MenuItemDescription

    java.lang.Object
      org.jbpm.kie.services.impl.form.model.menu.MenuItemDescription

All Implemented Interfaces:
  Serializable, Mappable

    public class MenuItemDescription

extends Object
implements Mappable

See Also:
  Serialized Form

Constructor Summary
`MenuItemDescription()`

Method Summary
`boolean` | `equals(Object obj)`
`List<String>` | `getAllowedEvents()`
`String` | `getClassName()`
`Map<String,Object>` | `getDataMap()`
`List<FormEffectDescription>` | `getEffects()`
`String` | `getIconUrl()`
`Map<String,Object>` | `getItemRepresentationMap()`
`String` | `getName()`
`int` | `hashCode()`
`void` | `setAllowedEvents(List<String> allowedEvents)`
`void` | `setClassName(String className)`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setEffects(List<FormEffectDescription> effects)`
`void` | `setIconUrl(String iconUrl)`
`void` | `setItemRepresentationMap(Map<String,Object> itemRepresentationMap)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuItemDescription

    public MenuItemDescription()

Method Detail

### getClassName

    public String getClassName()

### setClassName

    public void setClassName(String className)

### getName

    public String getName()

### setName

    public void setName(String name)

### getIconUrl

    public String getIconUrl()

### setIconUrl

    public void setIconUrl(String iconUrl)

### getItemRepresentationMap

    public Map<String,Object> getItemRepresentationMap()

### setItemRepresentationMap

    public void setItemRepresentationMap(Map<String,Object> itemRepresentationMap)

### getEffects

    public List<FormEffectDescription> getEffects()

### setEffects

    public void setEffects(List<FormEffectDescription> effects)

### getAllowedEvents

    public List<String> getAllowedEvents()

### setAllowedEvents

    public void setAllowedEvents(List<String> allowedEvents)

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`

### setDataMap

    public void setDataMap(Map<String,Object> data)

  Specified by:
    `setDataMap` in interface `Mappable`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.